aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJan-Simon Moeller <jsmoeller@linuxfoundation.org>2020-09-02 19:24:55 +0200
committerJan-Simon Moeller <jsmoeller@linuxfoundation.org>2020-09-02 19:25:13 +0200
commitf3c5c6bc78737d4bdbefecde52cd3c23dbd69ba9 (patch)
treeba96d07e7e2ba9cfb477f1a1ee225bd83d17ca21
parentef6368553ae38f820cb5701c595554feadd3ed56 (diff)
Pull down the old repo tool to be host-agnostic
Signed-off-by: Jan-Simon Moeller <jsmoeller@linuxfoundation.org> Change-Id: I2380971fca7b4b966d992e878723ede62a7fc9bb
-rw-r--r--jjb/release-jjb-jellyfish-sources/include-release-jjb-release-sources-rsync.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/jjb/release-jjb-jellyfish-sources/include-release-jjb-release-sources-rsync.sh b/jjb/release-jjb-jellyfish-sources/include-release-jjb-release-sources-rsync.sh
index ceac3acd..7dc96407 100644
--- a/jjb/release-jjb-jellyfish-sources/include-release-jjb-release-sources-rsync.sh
+++ b/jjb/release-jjb-jellyfish-sources/include-release-jjb-release-sources-rsync.sh
@@ -3,6 +3,11 @@
#set -x
set -e
+mkdir -p ~/bin/ || true
+curl https://storage.googleapis.com/git-repo-downloads/repo-1 > ~/bin/repo
+chmod a+x ~/bin/repo
+export PATH=$PATH:~/bin/
+
# construct upload folder